@font-face {
    font-family: "Arimo";
    src:
            url('fonts/Arimo-Bold.ttf') format('truetype'),
            url('fonts/Arimo-BoldItalic.ttf') format('truetype'),
            url('fonts/Arimo-Italic.ttf') format('truetype'),
            url('fonts/Arimo-Regular.ttf') format('truetype');
}

body {
    font-family: "Arimo", sans-serif !important;
    margin-top: 81px !important; /*  navbar is fixed and height is 81.  This makes the body content start at the bottom of the navbar */
}
.code-editor-alert-lml {
    position: fixed;
    top: 0;
    left: 0;
    font-size: small;
}
.code-editor-alert-non-lml {
    position: fixed;
    top: 84px;
    left: 0;
}
.code-editor-lml {
    position: fixed;
    top: 4em;
    left: 0;
    overflow-y: auto !important;
}
.code-editor-non-lml {
    position: fixed;
    top: 8em;
    left: 0;
    overflow-y: auto !important;
}
.editor-outer-container {
    display: flex;
    flex-direction: row;
    height: 100%;
}
.ide-tools {
    position: fixed;
    top: 1rem;
    left: 0;
}
.tab-pane {
    padding-top: 1rem;
    height: 90vh;
    overflow:scroll;
}
.wc {
    margin-top: 2rem !important;
}
iframe > body {
    margin-top: 0;
}
.wc-title {
    color: blue !important;
    background-color: #cff4fc;
    border-color: #b6effb;
    font-style: italic;
}
/* Media Query for Mobile Devices */
@media (max-width: 480px) {
    .doxa-home-page {
        margin-top: 10vh;
        /*background-color: orange;*/
    }
}

/* Media Query for low resolution  Tablets, Ipads */
@media (min-width: 481px) and (max-width: 767px) {
    .doxa-home-page {
        margin-top: 10vh;
        /*background-color: blue;*/
    }
}

/* Media Query for Tablets Ipads portrait mode */
@media (min-width: 768px) and (max-width: 1024px) {
    .doxa-home-page {
        margin-top: 10vh;
        /*background-color: green;*/
    }
}

/* Media Query for Laptops and Desktops */
@media (min-width: 1025px) and (max-width: 1280px) {
    .doxa-home-page {
        margin-top: 10vh;
        /*background-color: red;*/
    }
}

/* Media Query for Large screens */
@media (min-width: 1281px) {
    .doxa-home-page {
        margin-top: 10vh;
        /*background-color: purple;*/
    }
}

.doxa-navbar {
}
.navbar-nav {
    padding-right: 200px;
}
.app-brand {
    font-style: italic !important;
    color: gold !important;
    padding-left: 1vw !important;
}
.card-home {
    flex-direction: row;
    margin-top: 1rem;
    padding-top: 1rem;
    align-content: center;
    align-items: center;
    text-align: center;
    width: 75%;
}
.card-home-ico {
}
.ide {
    height: 100vh;
    Width: 100vw;
    border: 4px solid black;
    position: fixed !important;
}
.resizer[data-direction='horizontal'] {
    background-color: #cbd5e0;
    cursor: ew-resize;
    height: 100%;
    width: 4px;
}
.resizer[data-direction='vertical'] {
    background-color: #cbd5e0;
    cursor: ns-resize;
    height: 4px;
    width: 100%;
}
.container-left {
    overflow-y:scroll !important;
}
.container-top {
    padding-top: 6vh;
    overflow-y:scroll !important;
}
#iframeBottom {
    height: 100vh;
    Width: 100vw;
    padding-bottom: 2vh !important;
    overflow-y:scroll !important;
}
.container__left {
    /* Initial length of left iframe */
    width: 50%;

    /* Misc */
    align-items: center;
    display: flex;
    justify-content: center;
    overflow-y:scroll !important;
}
.container__right {
    padding-top: 6vh;
    /* Take the remaining width */
    flex: 1;

    /* Misc */
    align-items: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow-y:scroll !important;
}
.container__top {
    /* Initial height of right top iframe */
    height: 50%;

    /* Misc */
    align-items: center;
    display: flex;
    justify-content: center;
    width: 100% !important;
    overflow-y:scroll !important;
}
.container__bottom {
    /* Take the remaining height for the right bottom iframe */
    flex: 1;

    /* Misc */
    align-items: center;
    display: flex;
    justify-content: center;
    width: 100% !important;
    overflow-y:scroll !important;
    padding-bottom: 2vh !important;
}
.accordion-button {
    color: #0c63e4;
    font-style: italic;
}
.content {
    overflow-x: scroll !important;
    overflow-y: scroll !important;
    padding-bottom: 2vh !important;
    margin-bottom: 2vh !important;
}
[data-mdb-toggle="modal"] i {
    pointer-events: none;
}


 #themeTooltip {
     display: none;
     position: absolute;
     background: #333;
     color: #fff;
     padding: 5px;
     border-radius: 3px;
     font-size: 0.8em;
     bottom: 100%;
     left: 50%;
     transform: translateX(-50%);
     white-space: nowrap;
 }

#themeSelect:hover + #themeTooltip,
#themeSelect:focus + #themeTooltip {
    display: block;
}

#loadingIndicator {
    display: none;
    width: 20px;
    height: 20px;
    border: 2px solid #f3f3f3;
    border-top: 2px solid #3498db;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    position: absolute;
    right: -30px;
    top: 50%;
    transform: translateY(-50%);
}

@keyframes spin {
    0% { transform: translateY(-50%) rotate(0deg); }
    100% { transform: translateY(-50%) rotate(360deg); }
}

body {
    transition: color 0.3s ease, background-color 0.3s ease !important;
}
